Crypto Manager Host Remove Key

Crypto Manager Host Remove Key
Remove a key (only the UUID is needed to remove).

Remove a key (only the UUID is needed to remove).

If "force" is set, removal will happen even if the key is in use.

Required privileges: Cryptographer.ManageKeys

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/CryptoManagerHost/{moId}/RemoveKey
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case CryptoManagerHost/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RemoveKeyRequestType of type(s) application/json
Required

Show optional properties

{
    "key": {},
    "force": false
}
{
    "key": {
        "_typeName": "string",
        "keyId": "string",
        "providerId": {
            "_typeName": "string",
            "id": "string"
        }
    },
    "force": false
}
key
Required

[in] The key to remove.

boolean
force
Required

[in] Remove the key even if in use or not existent.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

InvalidArgument: in case the keyID is not found and "force" is false.

ResourceInUse: if the key is used to encrypt any object and "force" is false.

Returns ResourceInUse of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ],
    "type": "string",
    "name": "string"
}
string
type
Optional

Type of resource that is in use.

string
name
Optional

Name of the instance of the resource that is in use.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"key":"{}","force":"boolean"}' https://{api_host}/sdk/vim25/{release}/CryptoManagerHost/{moId}/RemoveKey